﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Data;
using Telerik.Charting;

public partial class _Default : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        DataTable table = GetTable();

        ChartSeries series = new ChartSeries();
        series.Type = ChartSeriesType.Bar;
        series.DataYColumn = "Value";
        series.Name = "Series Name";

        radChart.Series.Add(series);
        radChart.PlotArea.XAxis.DataLabelsColumn = "Name";
        radChart.SeriesOrientation = ChartSeriesOrientation.Horizontal;
        radChart.DataSource = table;
        radChart.Appearance.Dimensions.Height = Telerik.Charting.Styles.Unit.Pixel(table.Rows.Count * 25);
        radChart.DataBind();
    }

    static DataTable GetTable()
    {
        DataTable table = new DataTable();

        //table columns
        table.Columns.Add("Name", typeof(string));
        table.Columns.Add("Value", typeof(int));

        //table rows
        table.Rows.Add("Value1", 10);
        table.Rows.Add("Value2", 20);
        table.Rows.Add("Value3", 30);
        table.Rows.Add("Value4", 40);
        table.Rows.Add("Value5", 50);
        table.Rows.Add("Value6", 60);
        table.Rows.Add("Value7", 70);
        table.Rows.Add("Value8", 80);
        table.Rows.Add("Value9", 90);
        table.Rows.Add("Value10", 100);
        table.Rows.Add("Value11", 110);

        return table;
    }
}
